extends Control
class_name DragonListEntry

@export var texture_rect: TextureRect
@export var name_label: Label
@export var origin_label: Label

@export var hat_outfits: DragonOutfit
@export var shirt_outfits: DragonOutfit
@export var shoes_outfits: DragonOutfit


func set_properties(properties: DragonProperties) -> void:
	name_label.text = properties.name
	origin_label.text = properties.origin
